[PATCH] Add support for autogen to take a --version-file argument

Tim Prouty tprouty at samba.org
Wed Oct 8 22:51:55 GMT 2008


This patch plumbs through the --version-file argument to autogen.sh so
it can be passed down to mkversion.sh.  This allows vendors to more
cleanly control their version information.

The patch is just against source3, but I'm planning on pushing the
same thing to source4 if there are no objections.

-Tim

---
 source3/autogen.sh |   14 +++++++++++++-
 1 files changed, 13 insertions(+), 1 deletions(-)

diff --git a/source3/autogen.sh b/source3/autogen.sh
index deed774..61316a8 100755
--- a/source3/autogen.sh
+++ b/source3/autogen.sh
@@ -2,6 +2,18 @@
 
 # Run this script to build samba from GIT.
 
+while true; do
+    case $1 in
+	(--version-file)
+	    VERSION_FILE=$2
+	    shift 2
+	    ;;
+	(*)
+	    break
+	    ;;
+    esac
+done
+
 ## insert all possible names (only works with 
 ## autoconf 2.x)
 TESTAUTOHEADER="autoheader autoheader-2.53 autoheader2.50 autoheader259 autoheader253"
@@ -48,7 +60,7 @@ if test "$AUTOCONFFOUND" = "0" -o "$AUTOHEADERFOUND" = "0"; then
 fi
 
 echo "$0: running script/mkversion.sh"
-./script/mkversion.sh || exit 1
+./script/mkversion.sh $VERSION_FILE || exit 1
 
 rm -rf autom4te*.cache
 rm -f configure include/config.h*
-- 
1.6.0



More information about the samba-technical mailing list